org.modeshape.jcr.query

## Class QueryBuilder.LowerBoundary

- java.lang.Object
- - org.modeshape.jcr.query.QueryBuilder.LowerBoundary

- Enclosing class:
    QueryBuilder

      public class QueryBuilder.LowerBoundary
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected QueryBuilder.ComparisonBuilder` | `comparisonBuilder`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `QueryBuilder.LowerBoundary(QueryBuilder.ComparisonBuilder comparisonBuilder)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `QueryBuilder.CastAs<QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>>` | `cast(BigDecimal literal)` Define the lower boundary value of a range.
    `QueryBuilder.CastAs<QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>>` | `cast(boolean literal)` Define the lower boundary value of a range.
    `QueryBuilder.CastAs<QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>>` | `cast(DateTime literal)` Define the lower boundary value of a range.
    `QueryBuilder.CastAs<QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>>` | `cast(double literal)` Define the lower boundary value of a range.
    `QueryBuilder.CastAs<QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>>` | `cast(int literal)` Define the lower boundary value of a range.
    `QueryBuilder.CastAs<QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>>` | `cast(long literal)` Define the lower boundary value of a range.
    `QueryBuilder.CastAs<QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>>` | `cast(Name literal)` Define the lower boundary value of a range.
    `QueryBuilder.CastAs<QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>>` | `cast(Path literal)` Define the lower boundary value of a range.
    `QueryBuilder.CastAs<QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>>` | `cast(String literal)` Define the lower boundary value of a range.
    `QueryBuilder.CastAs<QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>>` | `cast(URI literal)` Define the lower boundary value of a range.
    `QueryBuilder.CastAs<QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>>` | `cast(UUID literal)` Define the lower boundary value of a range.
    `QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>` | `literal(BigDecimal literal)` Define the lower boundary value of a range.
    `QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>` | `literal(Binary literal)` Define the lower boundary value of a range.
    `QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>` | `literal(boolean literal)` Define the lower boundary value of a range.
    `QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>` | `literal(DateTime literal)` Define the lower boundary value of a range.
    `QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>` | `literal(double literal)` Define the lower boundary value of a range.
    `QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>` | `literal(float literal)` Define the lower boundary value of a range.
    `QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>` | `literal(int literal)` Define the lower boundary value of a range.
    `QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>` | `literal(long literal)` Define the lower boundary value of a range.
    `QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>` | `literal(Name literal)` Define the lower boundary value of a range.
    `QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>` | `literal(Path literal)` Define the lower boundary value of a range.
    `QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>` | `literal(String literal)` Define the lower boundary value of a range.
    `QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>` | `literal(URI literal)` Define the lower boundary value of a range.
    `QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>` | `literal(UUID literal)` Define the lower boundary value of a range.
    `QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>` | `subquery(QueryCommand subquery)` Define the lower boundary value of a range.
    `QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>` | `subquery(Subquery subquery)` Define the lower boundary value of a range.
    `QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>` | `variable(String variableName)` Define the lower boundary value of a range.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### comparisonBuilder

          protected final QueryBuilder.ComparisonBuilder comparisonBuilder

  - ### Constructor Detail

    - #### QueryBuilder.LowerBoundary

          protected QueryBuilder.LowerBoundary(QueryBuilder.ComparisonBuilder comparisonBuilder)

  - ### Method Detail

    - #### literal

          public QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary> literal(String literal)

      Define the lower boundary value of a range.
      Parameters:
        `literal` - the literal value;
      Returns:
        the constraint builder; never null

    - #### literal

          public QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary> literal(int literal)

      Define the lower boundary value of a range.
      Parameters:
        `literal` - the literal value;
      Returns:
        the constraint builder; never null

    - #### literal

          public QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary> literal(long literal)

      Define the lower boundary value of a range.
      Parameters:
        `literal` - the literal value;
      Returns:
        the constraint builder; never null

    - #### literal

          public QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary> literal(float literal)

      Define the lower boundary value of a range.
      Parameters:
        `literal` - the literal value;
      Returns:
        the constraint builder; never null

    - #### literal

          public QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary> literal(double literal)

      Define the lower boundary value of a range.
      Parameters:
        `literal` - the literal value;
      Returns:
        the constraint builder; never null

    - #### literal

          public QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary> literal(DateTime literal)

      Define the lower boundary value of a range.
      Parameters:
        `literal` - the literal value;
      Returns:
        the constraint builder; never null

    - #### literal

          public QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary> literal(Path literal)

      Define the lower boundary value of a range.
      Parameters:
        `literal` - the literal value;
      Returns:
        the constraint builder; never null

    - #### literal

          public QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary> literal(Name literal)

      Define the lower boundary value of a range.
      Parameters:
        `literal` - the literal value;
      Returns:
        the constraint builder; never null

    - #### literal

          public QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary> literal(URI literal)

      Define the lower boundary value of a range.
      Parameters:
        `literal` - the literal value;
      Returns:
        the constraint builder; never null

    - #### literal

          public QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary> literal(UUID literal)

      Define the lower boundary value of a range.
      Parameters:
        `literal` - the literal value;
      Returns:
        the constraint builder; never null

    - #### literal

          public QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary> literal(Binary literal)

      Define the lower boundary value of a range.
      Parameters:
        `literal` - the literal value;
      Returns:
        the constraint builder; never null

    - #### literal

          public QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary> literal(BigDecimal literal)

      Define the lower boundary value of a range.
      Parameters:
        `literal` - the literal value;
      Returns:
        the constraint builder; never null

    - #### literal

          public QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary> literal(boolean literal)

      Define the lower boundary value of a range.
      Parameters:
        `literal` - the literal value;
      Returns:
        the constraint builder; never null

    - #### variable

          public QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary> variable(String variableName)

      Define the lower boundary value of a range.
      Parameters:
        `variableName` - the name of the variable
      Returns:
        the constraint builder; never null

    - #### subquery

          public QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary> subquery(Subquery subquery)

      Define the lower boundary value of a range.
      Parameters:
        `subquery` - the subquery
      Returns:
        the constraint builder; never null

    - #### subquery

          public QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary> subquery(QueryCommand subquery)

      Define the lower boundary value of a range.
      Parameters:
        `subquery` - the subquery
      Returns:
        the constraint builder; never null

    - #### cast

          public QueryBuilder.CastAs<QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>> cast(int literal)

      Define the lower boundary value of a range.
      Parameters:
        `literal` - the literal value that is to be cast
      Returns:
        the constraint builder; never null

    - #### cast

          public QueryBuilder.CastAs<QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>> cast(String literal)

      Define the lower boundary value of a range.
      Parameters:
        `literal` - the literal value that is to be cast
      Returns:
        the constraint builder; never null

    - #### cast

          public QueryBuilder.CastAs<QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>> cast(boolean literal)

      Define the lower boundary value of a range.
      Parameters:
        `literal` - the literal value that is to be cast
      Returns:
        the constraint builder; never null

    - #### cast

          public QueryBuilder.CastAs<QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>> cast(long literal)

      Define the lower boundary value of a range.
      Parameters:
        `literal` - the literal value that is to be cast
      Returns:
        the constraint builder; never null

    - #### cast

          public QueryBuilder.CastAs<QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>> cast(double literal)

      Define the lower boundary value of a range.
      Parameters:
        `literal` - the literal value that is to be cast
      Returns:
        the constraint builder; never null

    - #### cast

          public QueryBuilder.CastAs<QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>> cast(BigDecimal literal)

      Define the lower boundary value of a range.
      Parameters:
        `literal` - the literal value that is to be cast
      Returns:
        the constraint builder; never null

    - #### cast

          public QueryBuilder.CastAs<QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>> cast(DateTime literal)

      Define the lower boundary value of a range.
      Parameters:
        `literal` - the literal value that is to be cast
      Returns:
        the constraint builder; never null

    - #### cast

          public QueryBuilder.CastAs<QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>> cast(Name literal)

      Define the lower boundary value of a range.
      Parameters:
        `literal` - the literal value that is to be cast
      Returns:
        the constraint builder; never null

    - #### cast

          public QueryBuilder.CastAs<QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>> cast(Path literal)

      Define the lower boundary value of a range.
      Parameters:
        `literal` - the literal value that is to be cast
      Returns:
        the constraint builder; never null

    - #### cast

          public QueryBuilder.CastAs<QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>> cast(UUID literal)

      Define the lower boundary value of a range.
      Parameters:
        `literal` - the literal value that is to be cast
      Returns:
        the constraint builder; never null

    - #### cast

          public QueryBuilder.CastAs<QueryBuilder.AndBuilder<QueryBuilder.UpperBoundary>> cast(URI literal)

      Define the lower boundary value of a range.
      Parameters:
        `literal` - the literal value that is to be cast
      Returns:
        the constraint builder; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.